Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163868 - yum cron auto update new feature request
Summary: yum cron auto update new feature request
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 18:22 UTC by Frank Liu
Modified: 2014-01-21 22:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-22 16:11:56 UTC


Attachments (Terms of Use)

Description Frank Liu 2005-07-21 18:22:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
This is a feature request, as discussed in the fedora mailing list:
https://www.redhat.com/archives/fedora-list/2005-July/msg04257.html

I have two major issues (system won't boot) after the nightly yum
auto update, caused by the "new" selinux-policy-targeted and kernel, within the past month. I am not blaming the team for bad QA, but I just want to know
that is it still a good idea to enable the nightly auto update? or is
it better to do it manually?

Another solution would be to have a hybrid of the two. The reason
I wanted auto update is so I won't miss a critical security fix.
This definitely needs to be installed in a timely manner. But
for other non security related updates, we can wait to do it manually,
with a scheduled window. In order for this "hybrid" to work,
all updates need to be tagged with "security" or "non-security" related.
or maybe tagged with "emergency" or "normal". Then the nightly
yum update can have a flag to do "all" updates, or just "emergency/security"
updates.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. see description.
2.
3.
  

Additional info:

Comment 1 Seth Vidal 2005-07-22 16:11:56 UTC
to just apply 'security' updates we'll need more metadata than we currently
have. Specifically we need someone to classify which of the packages resolve
security issues and which just resolve bugs.

it is something being worked on but for the moment it's not possible.


Note You need to log in before you can comment on or make changes to this bug.